'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);

  // 站点信息表设置路由
  router.resources('set', '/api/setting/set', controller.set); // index、create、show、destroy
  router.post('set', '/api/setting/set/update/:id', controller.set.update);
  router.get('set', '/api/setting/set/show', controller.set.show);

  // 友情链接表设置路由
  router.resources('link', '/api/setting/link', controller.link); // index、create、show、destroy
  router.post('link', '/api/setting/link/update/:id', controller.link.update);

  // 用户表设置路由
  router.resources('user', '/api/setting/user', controller.user); // index、create、show、destroy
  router.post('user', '/api/setting/user/update/:id', controller.user.update);

  // 字典信息表设置路由
  router.resources('codecategory', '/api/setting/codecategory', controller.codecategory); // index、create、show、destroy
  router.post('codecategory', '/api/setting/codecategory/:id', controller.codecategory.update);
  router.resources('codeitem', '/api/setting/codeitem', controller.codeitem); // index、create、show、destroy
  router.post('codeitem', '/api/setting/codeitem/:id', controller.codeitem.update);

  // 开放接口
  router.get('/api/setting/xzqh/items', controller.api.xzqh);
  router.get('/api/setting/:category/items', controller.api.list);
  router.get('/api/setting/:category/findOne', controller.api.findOne);
  router.get('/api/setting/:category/:code', controller.api.fetch);
};
